Bug 148782 - "Left frame border" and "Right frame border" options for Horizontal "to" position in Position and Size for shapes should be changed to "Left of frame text area" and "Right of frame text area"
Summary: "Left frame border" and "Right frame border" options for Horizontal "to" posi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.4.0
Keywords: needsUXEval
Depends on:
Blocks: Image-Dialog Shapes 148519
  Show dependency treegraph
 
Reported: 2022-04-25 22:02 UTC by sdc.blanco
Modified: 2022-05-23 12:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Terminology Border/Margin/Padding (26.60 KB, application/vnd.oasis.opendocument.graphics)
2022-04-26 07:23 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2022-04-25 22:02:28 UTC
1. Make a frame.
2. Make a shape, and anchor the shape "to frame"
3. Right-click shape and choose "Position and Size" - Position and Size tab.
4. In Position section, look at options for "to" control.

Left frame border -> Left of frame text area

Right frame border -> Right of frame text area

Please note:  Left/Right is a geometric issue -- positions in space. Nothing to do with directions of writing.

Reasons:
1. Accuracy
2. Would be parallel/similar to "Left of page text area" and "Right of page text area" (see bug 148593) (i.e., facilitating understanding/consistency)
3. Enables possibility to use "Frame border" for both Horizontal and Vertical "to" options instead of "Margin" and "Entire Frame" (see bug 148519)
Comment 1 Heiko Tietze 2022-04-26 07:23:21 UTC
Created attachment 179775 [details]
Terminology Border/Margin/Padding

There is a difference between the outer border and the inner text area. Increase the border of the frame and try "Frame text area" and "Left frame border".

(In reply to sdc.blanco from comment #0)
> Please note:  Left/Right is a geometric issue -- positions in space. Nothing
> to do with directions of writing.

Cannot follow the writing direction argument.

> 2. Would be parallel/similar to...

We need a clear terminology. Mike, Regina: Anything wrong at the attachment?
Comment 2 sdc.blanco 2022-04-26 07:57:39 UTC
(In reply to Heiko Tietze from comment #1)
> Created attachment 179775 [details]
Nice drawing. Need to add an "entire page".
 
> Cannot follow the writing direction argument.
Maybe I am mixing up the discussion in bug 148513 about using Start/End with line break instead of Left/Right.  Point here was only that Right/Left naming here does not depend on RTL/LTR languages.

> We need a clear terminology.
Agreed. In this connection, please consider this bug together with bug 148519.
Comment 3 sdc.blanco 2022-04-28 17:12:38 UTC
Hoping to get a confirmation for this ticket, which is needed in order to address bug 148519 to use "Frame border".
Comment 4 Heiko Tietze 2022-04-29 07:56:34 UTC
What I dislike with the terminology is that border, margin etc. describe rather an area than an exact position while text area is one pixel wide.

If there is no more input just make a decision - and be consistent.
Comment 5 sdc.blanco 2022-04-29 08:13:28 UTC
(In reply to Heiko Tietze from comment #4)
> What I dislike with the terminology is that border, margin etc. describe
> rather an area than an exact position while text area is one pixel wide.
???? 
 
- in context of dialog, you want/need to have an area in the "to" control. The positioning is in relation to the area, not an anchor point.
- "frame text area" refers to the area in the frame where text can be placed
- "frame text area" is analogous to "page text area" (which is also used).
-  not sure how/why "text area" is relevant here

> If there is no more input just make a decision - and be consistent.
Ok  @Regina?
Comment 6 sdc.blanco 2022-04-29 14:32:05 UTC
https://gerrit.libreoffice.org/c/core/+/133594
Comment 7 Commit Notification 2022-04-30 07:52:45 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/460951403745c2d08094f707e884ee99ab5b9364

tdf#148782  Left/Right frame border -> Left/Right of frame text area

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 sdc.blanco 2022-04-30 07:56:33 UTC
No further comment received, so I will go forward.  Easy enough to adjust if necessary.

Consistency (and removing definitely incorrect labels) has always been the goal.